<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Image</title>
    <link rel="stylesheet" href="/static/styles.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-gH2yIJqKdNHPEq0n4Mqa/HGKIhSkIHeL5AyhkYV8i59U5AR6csBvApHHNl/vI1Bx" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-A3rJD856KowSb7dwlZdYEkO39Gagi7vIsF0jrRAoQmDKKtQBHUuLZ9AsSv4jD4Xa"
            crossorigin="anonymous"></script>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Dancing+Script:wght@500&display=swap" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Libre+Baskerville&display=swap" rel="stylesheet">
</head>

<body class="bg-dark text-light">
<div class="container  ">
    <div class="row  d-flex justify-content-md-start ">
        <div class="col-lg-3">
            <a type="submit" href="/profile" class="button-label mb-5 mt-5">BACK</a>

            <hr>
            <h4 class="text-light">Photo name: ${image.name}</h4>

            <#if user.id == image.album.user.id>
            <#--            Раскрывающееся меню-->
                <div class="mb-3 ">
                    <a class="btn btn-primary mb-3 p-2 fs-7 text-uppercase" data-bs-toggle="collapse"
                       href="#collapseExample" role="button" aria-expanded="false"
                       aria-controls="collapseExample">Edit</a>

                    <div class="collapse" id="collapseExample">
                        <div class="card card-body bg-dark">
                            <hr>

                            <div>
                                <h4>Change new name</h4>
                                <form action="/image/${image.id}/edite" name="image" method="post">
                                    <input type="text" name="name" class="form-control " placeholder="New name image"
                                           id="formGroupExampleInput">
                                    <input type="submit" value="Change" class="btn btn-primary mt-3 mb-3">
                                    <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}">
                                </form>
                            </div>

                            <div class="col-sm-12 mt-5">
                                <hr>
                                <h4>Change new color</h4>
                                <form action="/${image.id}/gray" method="post">
                                    <input type="submit" value="Set gray color" class="btn btn-primary">
                                    <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}">
                                </form>

                                <hr>

                                <h4>Change the angle of rotation</h4>
                                <form action="/${image.id}/rotate" method="post">
                                    <input class="form-control form-control-sm" type="number" name="rad"
                                           aria-label=".form-control-sm example">
                                    <input type="submit" value="Turn" class="btn btn-primary mt-3 mb-3">
                                    <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}">
                                </form>

                                <hr>

                                <h4>Change size</h4>

                                <div class="form-floating mb-3">
                                    <form action="/${image.id}/resize" method="post">
                                        <input type="number" name="size" class="form-control">
                                        <input type="submit" value="Turn" class="btn btn-primary mt-3 mb-3">
                                        <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}">
                                    </form>
                                </div>
                            </div>
                            <hr>
                            <h3>Delete image</h3>
                            <form action="/image/delete/${image.id}" method="post">
                                <input type="submit" value="Delete" class="button-label mb-5">
                                <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}">
                            </form>
                        </div>
                    </div>
                </div>
            </#if>
        </div>

        <#--Картинка-->
        <div class="col-lg-6 ">
            <div class="card bg-dark mt-5" style="width: 650px;   border:1px solid white;">
                <div class="card-body bg-dark mb-5">
                    <img src="/img/${image.fileName}" class="image-fluid"/></div>

                <#--                Отправка комментария-->
                <form action="/${image.id}/add-comment" method="post">
                    <div class="mb-3 ms-3 me-3">
                        <label for="exampleFormControlTextarea1" class="form-label">Enter a comment</label>
                        <textarea name="newComment" class="form-control bg-dark text-light "
                                  id="exampleFormControlTextarea1"
                                  rows="3"></textarea>
                    </div>
                    <input type="submit" value="Send a comment" class="btn btn-primary mt-3 mb-3">
                    <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}">
                </form>
            </div>
        </div>

        <#--    Комментарии-->
        <div class="col-lg-12 ">
            <div class="card bg-dark mt-5 "
                 style="width: 1100px;height: 36rem;   margin-bottom: 30px; border:1px solid white;">
                <div class="card-body bg-dark mb-5">

                    <#list comments as comment>
                        <p>
                        <b>${comment.user.userName}</b> : ${comment.comment}
                        <#if user.id == comment.user.id>

                            <table>
                                <tbody>
                                <tr>
                                    <td>
                                        <form action="/image/${image.id}" method="get">
                                            <input type="hidden" name="edit" value="true">
                                            <input type="submit" value="Редактировать" class="btn btn-primary">
                                        </form>
                                    </td>
                                    <td>
                                        <form action="/image/${image.id}/comment/${comment.id}/delete" method="post">
                                            <input type="submit" value="Удалить" class="btn btn-primary">
                                            <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}">
                                        </form>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                            <#if edit??>
                                <form action="/image/${image.id}/comment/${comment.id}/edit" method="post">
                                    <input type="text" name="comment" class="button-label">
                                    <input type="submit" value="Изменить" class="button-label mb-5">
                                    <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}">
                                </form>
                            </#if>
                        </#if>
                        </p>
                    <#else>
                        <h4 class="text-center text-light mt-3">
                            No comments here yet</h4>
                    </#list>

                </div>
            </div>
        </div>
    </div>
</div>
</div>

<script src="/static/script.js"></script>
</body>
</html>